package s3scj.tck;

import javax.safetycritical.MissionSequencer;

public class TestSchedule408 extends TestCase {
	public MissionSequencer getSequencer() {
		return new GeneralSingleMissionSequencer(new GeneralMission() {
			private boolean _executed = false;
			
			@Override
			protected void cleanup() {
				if (_executed)
					super.cleanup();
			}
			
			@Override
			public void initialize() {
				if (_executed) {
					terminate(false);
					return;
				}
				_executed = true;
				new GeneralPeriodicEventHandler() {
					@Override
					public void handleEvent() {
						terminate(false);
					}
				};
				new Terminator();
			}
		});
	}
}
