package s3scj.bench.memory;

import javax.safetycritical.MissionSequencer;

import s3scj.bench.Benchmark;

public class SCJVMRuntimeSize extends Benchmark {

	@Override
	protected String report() {
		return "SCJVMRuntimeSize finished\n";
	}

	public MissionSequencer getSequencer() {
		return new GeneralSingleMissionSequencer(new GeneralMission() {

			@Override
			public void initialize() {
				new GeneralPeriodicEventHandler() {
					@Override
					public void handleAsyncEvent() {
						try {
							Thread.sleep(_prop._period);
						} catch (InterruptedException e) {
							e.printStackTrace();
						}
						requestSequenceTermination();
					}
				};
			}
		});
	}
}
